#
# spec file for package python-orbit
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-orbit
%define _name pyorbit
BuildRequires:  gtk2-devel
BuildRequires:  indent
BuildRequires:  libidl-devel
BuildRequires:  libtool
BuildRequires:  orbit2-devel
BuildRequires:  python-devel
BuildRequires:  update-desktop-files
Url:            http://ftp.gnome.org/pub/GNOME/sources/pyorbit/
Summary:        Python bindings for ORBit
License:        LGPL-2.1+
Group:          Development/Libraries/Python
Version:        2.24.0
Release:        26.4
Source:         %{_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}

%description
Python bindings for ORBit. ORBit is the CORBA Object Request Broker
used e.g. by GNOME.



Authors:
--------
    James Henstridge <james@daa.com.au>

%package devel
Summary:        Headers for python-orbit
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
Requires:       orbit2-devel

%description devel
Headers for python-orbit



Authors:
--------
    James Henstridge <james@daa.com.au>

%prep
%setup -q -n %{_name}-%{version}

%build
ACLOCAL="aclocal -I m4" autoreconf -f -i
%configure
make %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO ChangeLog
%{py_sitedir}/*

%files devel
%defattr(-,root,root)
%{_includedir}/pyorbit-2
%{_libdir}/pkgconfig/pyorbit-2.pc

%changelog
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Thu Aug  6 2009 matejcik@suse.cz
- update to 2.24.0
  * Added weakref support to Python CORBA objects
  * Allow accessing reference count data
  * Misc. build fixes
* Wed Apr 29 2009 ro@suse.de
- drop python-numeric from buildrequires (apparently unused)
* Fri Aug  3 2007 jmatejek@suse.cz
- update to 2.14.3
  * fixing a couple of bug discovered by Coverity tests
  * compatibility with non-ORBit2 based servants
* Tue Dec 19 2006 sbrabec@suse.cz
- Spec file cleanup.
* Fri Oct 20 2006 jpr@suse.de
- Update to 2.14.1
  pyorbit-2.14.1:  11-Jnue-2006
  - Fix build problem on cygwin
  - Fix segmentation fault on orb.shutdown()
  - Make it work on Python 2.5 and 64-bit platforms
  pyorbit-2.13.1:  11-December-2005
  - Add support for CORBA async calls
  pyorbit-2.13.0:  4-December-2005
  - Add thread safety; don't block threads on ORB.run or remote calls
  - Allow creating custom POAs
  - Support POA thread policies and ORBit thread hints
  - Automatic type discovery now works for Python servers too
  - Add new examples: echo client/server; threaded server
* Wed Aug 16 2006 cthiel@suse.de
- split of -devel package
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Feb  8 2005 mcihar@suse.cz
- use %%{py_requires}
- no need to recompile python modules with current automake macros
* Wed Nov 24 2004 mcihar@suse.cz
- update to 2.0.1
* Tue Nov 23 2004 ro@suse.de
- fix build for <= 9.0 (only py_ver works everywhere)
* Mon Apr 19 2004 mcihar@suse.cz
- -fno-strict-aliasing
* Wed Oct 15 2003 mcihar@suse.cz
- don't build as root
- spec file cleanup
* Tue Sep  2 2003 mcihar@suse.cz
- updated to 2.0.0 (final GNOME 2 version, just minor bugfixes)
* Tue Aug 26 2003 mcihar@suse.cz
- updated to 1.99.7:
  - fix a problem with handling of exceptions that was uncovered
    by Python 2.3.
  - disable assigning to unknown attributes on stub instances.  Saves
    a little memory too.
  - add CORBA.ORB.work_pending() and CORBA.ORB.perform_work() methods.
* Thu Aug  7 2003 mcihar@suse.cz
- updated to pyorbit-1.99.6:
  - clean up base class list when building client stubs.  This
    is needed in order for the stubs to work with Python 2.3.
  - fix some possible segfaults if the argument names are
    missing in the IInterface structures, which occurs when
    using ORBit.load_file().
  - Work with latest HEAD branch (ORBit2 2.7.x).
  - allow importing of CORBA or PortableServer without first
    importing ORBit.  This gives better compatibility with
    standard CORBA mapping.
  - None is not a valid string/wstring value.
  - accept strings for sequence<octet>.
- recompile python code to contain correct paths
* Mon Jun 16 2003 mcihar@suse.cz
- removed \ at the end of Makefile.am
* Mon May 12 2003 mcihar@suse.cz
- use versioned dependency on python
* Mon May  5 2003 mcihar@suse.cz
- as orbit-python went away, this package is based on pyorbit
* Wed Nov 27 2002 mcihar@suse.cz
- cleaned up specfile
- fixed building for lib64 (this is temporary, should be fixed in autoconf)
* Wed Nov 27 2002 mcihar@suse.cz
- initial version (needed for python-gnome)
- this work only with GNOME 2
